%define prerel a
%define pyoggversion 1.3

Summary: A wrapper for the Vorbis libraries
Name: pyvorbis
Version: 1.5
Release: %mkrel 1.%prerel.11
Source0: http://ekyo.nerim.net/software/pyogg/%{name}-%{version}%{prerel}.tar.gz
#gw from Debian: fix Unicode in VorbisComment, add pyao support to the example
Patch: pyvorbis-1.3-unicode.patch
Patch1: pyvorbis-1.5a-python2.5.patch
# fix linking with libogg
Patch2: pyvorbis-1.5a-fix_linking.patch
License: LGPL
Group: Development/Python
BuildRequires: libvorbis-devel
BuildRequires: libpython-devel
BuildRequires: pyogg >= %pyoggversion
Requires: pyogg >= %pyoggversion
Url: http://ekyo.nerim.net/software/pyogg/index.html

%description
pyvorbis - a Python wrapper for the Ogg/Vorbis library

Ogg/Vorbis is available at http://www.xiph.org

This is the Vorbis module. You will need to download and install the
Python ogg module (available wherever you got this) before you can
build the vorbis module.


%prep
%setup -q -n %name-%version%prerel
%patch -p1 -b .unicode
%patch1 -p1 -b .python2.5
%patch2 -p0 
%build
python config_unix.py
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT

%files
%doc README AUTHORS ChangeLog NEWS
%py_platsitedir/*






%changelog
* Sat Feb 06 2016 umeabot <umeabot> 1.5-1.a.11.mga6
+ Revision: 940860
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5-1.a.10.mga5
+ Revision: 750634
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5-1.a.9.mga5
+ Revision: 730071
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5-0.a.9.mga5
+ Revision: 688453
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.5-0.a.7.mga4
+ Revision: 544520
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5-0.a.6.mga4
+ Revision: 499798
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.5-0.a.5.mga3
+ Revision: 379769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 29 2011 misc <misc> 1.5-0.a.4.mga1
+ Revision: 78773
- fix build and underlinking issue, patch 2

  + ennael <ennael>
    - clean spec file

  + grenoya <grenoya>
    - imported package pyvorbis


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.5-0.a.4mdv2011.0
+ Revision: 591601
- rebuild for python 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.5-0.a.3mdv2011.0
+ Revision: 442552
- rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 1.5-0.a.2mdv2009.1
+ Revision: 319586
- rebuild with python 2.6

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.5-0.a.1mdv2008.1
+ Revision: 140738
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Götz Waschk <waschk@mandriva.org> 1.5-0.a.1mdv2008.0
+ Revision: 93999
- new version (fixes bug #28202 again)
- update patch 1

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2008.0
+ Revision: 80604
- bump release for bug #27632
- new version

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 1.3-8mdv2008.0
+ Revision: 18131
- update patch 1


* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 1.3-7mdv2007.0
+ Revision: 124857
- fix bug #28202 (crash with python 2.5) with a patch from Ubuntu
- rediff patch 0

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.3-6mdv2007.1
+ Revision: 88143
- Import pyvorbis

* Tue Nov 28 2006 Gtz Waschk <waschk@mandriva.org> 1.3-6mdv2007.1
- update file list

* Mon Dec 05 2005 Götz Waschk <waschk@mandriva.org> 1.3-5mdk
- Rebuild

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.3-4mdk
- Rebuild for new python

* Sat Sep 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-3mdk
- fix URL

